Package twisted :: Package python :: Module reflect :: Class Settable

[frames | no frames]

## Class Settable

A mixin class for syntactic sugar. Lets you assign attributes by calling with keyword arguments; for example, `x(a=b,c=d,y=z)` is the same as `x.a=b;x.c=d;x.y=z`. The most useful place for this is where you don't want to name a variable, but you do want to set some attributes; for example, `X()(y=z,a=b)`.

Method Summary
| `__init__(self, **kw)`
| `__call__(self, **kw)`

Generated by Epydoc 2.0 on Sat May 15 20:08:14 2004 | http://epydoc.sf.net